parameters {
    xpos [type=float] [default=0.0] [values=<float>];
    ypos [type=float] [default=0.0] [values=<float>];
    zpos [type=float] [default=0.0] [values=<float>];
    xrot [type=float] [default=0.0] [values=<float>];
    yrot [type=float] [default=0.0] [values=<float>];
    zrot [type=float] [default=0.0] [values=<float>];
    xscale [type=float] [default=1.0] [values=<string>];
    yscale [type=float] [default=1.0] [values=<string>];
    texture [type=string] [default=dummytextuer] [values=<string>];
    alphablend [type=string] [default=0] [values=1,0,true,false];
}
methods {
    fadeUp(<event>,<time>);
    fadeDown(<event>,<time>);
    moveTo(<event>,<time>,<float>,<float>,<float>);
    easeIn(<event>,<time>,<float>,<float>,<float>);
    easeOut(<event>,<time>,<float>,<float>,<float>);
    setScaleValue(<event>,<float>,<float>);
    setTexture(<event>, <string>);
    setRotation(<event>,<float>,<float>,<float>);
    setPosition(<event>,<float>,<float>,<float>);
    setRenderTarget(<event>,<string>);
    scrollTexture(<event>,<float>,<float>);
}
